Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher
Class DefaultActionSupport

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.dispatcher.DefaultActionSupport

All Implemented Interfaces:
  Action, LocaleProvider, TextProvider, Validateable, ValidationAware, Serializable

    public class DefaultActionSupport

extends ActionSupport

A simple action support class that sets properties to be able to serve

See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`
`private String` | `successResultValue`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`DefaultActionSupport()` Constructor

Method Summary
`String` | `execute()` A default implementation that does nothing an returns "success".
`String` | `getSuccessResultValue()`
`void` | `setSuccessResultValue(String successResultValue)`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearErrorsAndMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### successResultValue

    private String successResultValue

Constructor Detail

### DefaultActionSupport

    public DefaultActionSupport()

  Constructor

Method Detail

### execute

    public String execute()
                   throws Exception

  Description copied from class: `ActionSupport`
  A default implementation that does nothing an returns "success".

  Subclasses should override this method to provide their business logic.

  See also `Action.execute()`.

  Specified by:
    `execute` in interface `Action`
  Overrides:
    `execute` in class `ActionSupport`
  Returns:
    returns `Action.SUCCESS`
  Throws:
    `Exception` - can be thrown by subclasses.

### getSuccessResultValue

    public String getSuccessResultValue()

  Returns:
    Returns the successResultValue.

### setSuccessResultValue

    public void setSuccessResultValue(String successResultValue)

  Parameters:
    `successResultValue` - The successResultValue to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.